Application: gvSIG desktop - gvSIG bugs #4082
Directorio por defecto de la instalacion
02/03/2016 06:00 AM - Alvaro Anguix

Status: Closed

Priority: Normal

Assignee: Joaquin del Cerro Murciano
Category: Installer

Target version:

% Done: 0%
Spent time: 0.00 hour

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2418 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al menos en Linux, el directorio por defecto que aparece en la instalacién es: /home/usuariogvSIG-desktop-2.3.0 en lugar de

/home/usuario/gvSIG-desktop-2.3.0. Es decir, falta una "/" entre la carpeta del usuario y el nombre de gvSIG-desktop-2.3.0

Associated revisions

Revision 42686 - 02/03/2016 05:34 PM - Joaquin del Cerro Murciano

refs #4082

History

#1 - 02/03/2016 06:32 AM - Alvaro Anguix

Ya puestos, lo ideal es que siguiera la dinamica de anteriores versiones:

/home/usuario/gvSIG-desktop/gvSIG-desktop-2.3.0

#2 - 02/03/2016 09:53 AM - Antonio Falciano

Instead, this is the situation in Windows with build 2418 (x86_64):

C:\Program Files\gvSIG-desktop-2.3.0 --> OK

and with build 2419 (x86_64):

C:\Program Files\\gvSIG-desktop-2.3.0 --> NO

So ${FILE_SEPARATOR) for windows was not necessary in r42674

Related to #4035

#3 - 02/04/2016 05:16 PM - Antonio Falciano

...build 2420 (x86_64):

05/11/2024

12




C:\Program Files\\gvSIG-desktop\gvSIG-desktop-2.3.0 --> ??7?

#4 - 02/04/2016 08:57 PM - Joaquin del Cerro Murciano

Lo de las dos barras "...\\..." en el path, lo he asumido, y de momento no voy a intentar quitarlas.

No he encontrado documentacion que indique si la variable del izpack "APPLICATIONS_DEFAULT_ROOT" esta terminada o no con un separador de
ficheros. En los casos que he probado si lo lleva, pero como no se si pueden darse casos en los que no termine con el, voy a seguir afadiendosela.
El que aparezcan dobles solo supone un problema estetico.

Cuando tenga tiempo tendre que buscar en los fuentes del izpack para ver si se encarga el de anadirla siempre al final o delega en lo que haya en el
sistema. Si es este ultimo caso no podremos asumir que la vaya a llevar y mejor ponerla aunque la saque doble.

#5 - 02/10/2016 12:05 PM - Alvaro Anguix

- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#6 - 03/04/2020 01:40 PM - Alvaro Anguix

- Status changed from New to Closed

El problema en Linux indicado esta resuelto. Probado en 3010

05/11/2024 22



